<?php
/**
 * Copyright © 2016 Filoblu S.r.l. All rights reserved.
 */
namespace FiloBlu\Esb\Helper;
use \Magento\Framework\App\Helper\AbstractHelper;

/**
 * Generic Helper
 */
class Data extends AbstractHelper
{
    /**
     * @var \Magento\Framework\App\Config\ScopeConfigInterface
     */    
    protected $_scopeConfig;

    /**
     * Constructor
     *
     * @param \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig   
     */
	public function __construct(
        \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig
	){
        $this->_scopeConfig = $scopeConfig;
	}

    /**
     * Format endpoint url by replacing base_url tokens. 
     *
     * @param array $data
     * @return string
     */
    public function getEndpointUrl($url)
    {
        $endpoint_base_url=$this->_scopeConfig->getValue(
            'esb/endpoints/endpoint_base_url', 
            \Magento\Store\Model\ScopeInterface::SCOPE_STORE
        );
        return preg_replace("/\{\{endpoint_base_url\}\}/", $endpoint_base_url, $url);
    }
}
